org.openstreetmap.josm.plugins.streetside.model

## Class MapObject

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.model.KeyIndexedObject
  - - org.openstreetmap.josm.plugins.streetside.model.MapObject

-     public class MapObject
      extends KeyIndexedObject

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private LatLon` | `coordinate`
    `private long` | `firstSeenTime`
    `private static ImageIcon` | `ICON_UNKNOWN_TYPE`
    `private static Function<String,URL>` | `iconUrlGen`
    `private long` | `lastSeenTime`
    `private String` | `objPackage`
    `private long` | `updatedTime`
    `private String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapObject(LatLon coordinate, String key, String objPackage, String value, long firstSeenTime, long lastSeenTime, long updatedTime)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LatLon` | `getCoordinate()`
    `long` | `getFirstSeenTime()`
    `static ImageIcon` | `getIcon(String objectTypeID)`
    `long` | `getLastSeenTime()`
    `String` | `getPackage()`
    `long` | `getUpdatedTime()`
    `String` | `getValue()`

    - ### Methods inherited from class org.openstreetmap.josm.plugins.streetside.model.KeyIndexedObject

      `equals, getKey, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ICON_UNKNOWN_TYPE

          private static final ImageIcon ICON_UNKNOWN_TYPE

    - #### iconUrlGen

          private static Function<String,URL> iconUrlGen

    - #### coordinate

          private final LatLon coordinate

    - #### objPackage

          private final String objPackage

    - #### value

          private final String value

    - #### firstSeenTime

          private final long firstSeenTime

    - #### lastSeenTime

          private final long lastSeenTime

    - #### updatedTime

          private final long updatedTime

  - ### Constructor Detail

    - #### MapObject

          public MapObject(LatLon coordinate,
                           String key,
                           String objPackage,
                           String value,
                           long firstSeenTime,
                           long lastSeenTime,
                           long updatedTime)

  - ### Method Detail

    - #### getCoordinate

          public LatLon getCoordinate()

    - #### getIcon

          public static ImageIcon getIcon(String objectTypeID)

      Parameters:
        `objectTypeID` - the `String` representing the type of map object. This ID can be retrieved via `getValue()` for any given `MapObject`.
      Returns:
        the icon, which represents the given objectTypeID

    - #### getPackage

          public String getPackage()

    - #### getFirstSeenTime

          public long getFirstSeenTime()

    - #### getLastSeenTime

          public long getLastSeenTime()

    - #### getUpdatedTime

          public long getUpdatedTime()

    - #### getValue

          public String getValue()

JOSM Plugins